# 报警系统接口文档

## 系统接口

#### 查询

[通用查询](http://git.sagacloud.cn/persagy/persagy-dmp-doc/src/master/api_document/通用查询.md)

#### 报警条目

请求路径：/alarm/item/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "code": "1033",
  "name": "测试报警",
  "category": "消防报警",
  "level": "S",
  "remark": "测试数据",
  "dealFun": "test_deal_fun",
  "createUser": "test",
  "createTime": 1602962584000,
  "updateUser": "test",
  "updateTime": 1602962586000,
  "valid": 1
}
```

#### 报警匹配规则

请求路径：/alarm/target/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "itemCode": "1033",
  "classCode": "OBJ_AX_CODE",
  "createUser": "test",
  "createTime": 1602963135000,
  "updateUser": "test",
  "updateTime": 1602963138000,
  "valid": 1
}
新增：
{
  "itemCode": "1033",
  "classCode": "OBJ_AX_CODE",
  "valid": 1
}
更新：
{
  "id": "1",
  "itemCode": "1033",
  "classCode": "OBJ_AX_CODE",
  "valid": 1
}
删除：
{
  "id": "1"
}
```

#### 报警定义

请求路径：/alarm/config/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "objId": "OBJ_1",
  "projectId": "PRJ_WD_001",
  "itemCode": "1033",
  "category": "消防报警",
  "level": "S",
  "remark": "测试数据",
  "open": 1,
  "concern": 1,
  "userDefined": 1,
  "createUser": "test",
  "createTime": 1602962781000,
  "updateUser": "test",
  "updateTime": 1602962783000,
  "valid": 1
}
新增：
{
  "objId": "OBJ_1",
  "projectId": "PRJ_WD_001",
  "itemCode": "1033",
  "category": "消防报警",
  "level": "S",
  "remark": "测试数据",
  "open": 1,
  "concern": 1,
  "userDefined": 1,
  "valid": 1
}
更新（注：全量更新）：
{
  "id": "1",
  "objId": "OBJ_1",
  "projectId": "PRJ_WD_001",
  "itemCode": "1033",
  "category": "消防报警",
  "level": "S",
  "remark": "测试数据",
  "open": 1,
  "concern": 1,
  "userDefined": 1,
  "valid": 1
}
删除：
{
  "id": "1"
}
```

####  报警记录

请求路径：/alarm/record/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
查询字段：
{
  "id": "1",
  "itemCode": "1033",
  "projectId": "PRJ_WD_001",
  "objId": "OBJ_1",
  "level": "S",
  "remark": "测试数据",
  "createUser": "test",
  "createTime": 1602953249000,
  "updateUser": "test",
  "updateTime": 1602953256000,
  "valid": 1
}
新增：
{
  "itemCode": "1033",
  "projectId": "PRJ_WD_001",
  "objId": "OBJ_1",
  "level": "S",
  "remark": "测试数据",
  "valid": 1
}
更新（注：全量更新）：
{
  "id": "1",
  "itemCode": "1033",
  "projectId": "PRJ_WD_001",
  "objId": "OBJ_1",
  "level": "S",
  "remark": "测试数据",
  "valid": 1
}
删除：
{
  "id": "1"
}
```

#### 